Posts List

Drupal 8.4 Core Update

Update drupal core to 8.4 It can be messy to upadte the core, which was the case for me for a few projects because of some dependencies. The main problem was the doctrine being not compatible with < PHP 7.1 Get a DB backup Copy composer.json file under the core from the latest version https://cgit.drupalcode.org/drupal/tree/core/composer.json Edit the doctrine versions under the composer.lock file as follows: { “doctrine/annotations”: “1.2.7", “doctrine/cache”: “v1.